Index: /pjproject/trunk/third_party/g7221/common/stl-files/count.h
===================================================================
--- /pjproject/trunk/third_party/g7221/common/stl-files/count.h	(revision 2615)
+++ /pjproject/trunk/third_party/g7221/common/stl-files/count.h	(revision 2616)
@@ -36,4 +36,5 @@
  ===========================================================================
 */
+#if 0
 #ifndef COUNT_H
 #define COUNT_H "$Id $"
@@ -72,5 +73,21 @@
  */
 
-Word32 fwc (void);
+PJ_INLINE(Word32) fwc (void)
+{
+#if WMOPS
+    Word32 tot;
+
+    tot = DeltaWeightedOperation ();
+    if (tot > wc[currCounter][funcid[currCounter]])
+        wc[currCounter][funcid[currCounter]] = tot;
+
+    funcid[currCounter]++;
+
+    return (tot);
+#else
+    return 0; /* Dummy */
+#endif
+}
+
 /*
  * worst worst case counter.
@@ -83,10 +100,40 @@
  * The WMOPS_output function add together all parts and presents the sum.
  */
-
-void move16 (void);
-void move32 (void);
-void logic16 (void);
-void logic32 (void);
-void test (void);
+PJ_INLINE(void) move16 (void)
+{
+#if WMOPS
+    multiCounter[currCounter].DataMove16++;
+#endif
+}
+
+PJ_INLINE(void) move32 (void)
+{
+#if WMOPS
+    multiCounter[currCounter].DataMove32++;
+#endif
+}
+
+PJ_INLINE(void )logic16 (void)
+{
+#if WMOPS
+    multiCounter[currCounter].Logic16++;
+#endif
+}
+
+PJ_INLINE(void) logic32 (void)
+{
+#if WMOPS
+    multiCounter[currCounter].Logic32++;
+#endif
+}
+
+PJ_INLINE(void) test (void)
+{
+#if WMOPS
+    multiCounter[currCounter].Test++;
+#endif
+}
+
+
 /*
  * The functions above increases the corresponding operation counter for
@@ -206,2 +253,11 @@
 
 #endif /* COUNT_H */
+#else
+
+#define move16()
+#define move32()
+#define logic16()
+#define logic32()
+#define test()
+
+#endif
Index: /pjproject/trunk/third_party/g7221/decode/coef2sam.c
===================================================================
--- /pjproject/trunk/third_party/g7221/decode/coef2sam.c	(revision 2615)
+++ /pjproject/trunk/third_party/g7221/decode/coef2sam.c	(revision 2616)
@@ -89,5 +89,5 @@
     
 
-    half_dct_size = shr(dct_length,1);
+    half_dct_size = shr_nocheck(dct_length,1);
     
     /* Perform a Type IV (inverse) DCT on the coefficients */
@@ -99,5 +99,5 @@
         for(index=0;index<dct_length;index++)
         {
-            new_samples[index] = shr(new_samples[index],mag_shift);
+            new_samples[index] = shr_nocheck(new_samples[index],mag_shift);
             move16();
         }
@@ -111,5 +111,5 @@
             for(index=0;index<dct_length;index++)
             {
-                new_samples[index] = shl(new_samples[index],mag_shift);
+                new_samples[index] = shl_nocheck(new_samples[index],mag_shift);
                 move16();
             }
@@ -148,5 +148,5 @@
         sum = L_mac(sum,*win_new++, *--new_ptr);
         sum = L_mac(sum,*--win_old, *old_ptr++);
-        *out_ptr++ = itu_round(L_shl(sum,2));
+        *out_ptr++ = itu_round(L_shl_nocheck(sum,2));
         move16();
 
@@ -161,5 +161,5 @@
         sum = L_mac(sum,*win_new++, *new_ptr++);
         sum = L_mac(sum,negate(*--win_old), *--old_ptr);
-        *out_ptr++ = itu_round(L_shl(sum,2));
+        *out_ptr++ = itu_round(L_shl_nocheck(sum,2));
         move16();
     }
Index: /pjproject/trunk/third_party/g7221/decode/dct4_s.c
===================================================================
--- /pjproject/trunk/third_party/g7221/decode/dct4_s.c	(revision 2615)
+++ /pjproject/trunk/third_party/g7221/decode/dct4_s.c	(revision 2616)
@@ -141,7 +141,7 @@
         
         /*    set_span      = 1 << (DCT_LENGTH_LOG - set_count_log); */
-        set_span = shr(dct_length,set_count_log);
+        set_span = shr_nocheck(dct_length,set_count_log);
            
-        set_count     = shl(1,set_count_log);
+        set_count     = shl_nocheck(1,set_count_log);
         in_ptr        = in_buffer;
         move16();
@@ -186,10 +186,16 @@
                         
                     dummy = add(in_val_low,dither_ptr[i++]);
-                    acca = L_add(dummy,in_val_high);
-                    out_val_low = extract_l(L_shr(acca,1));
+		    // blp: addition of two 16bits vars, there's no way
+		    //      they'll overflow a 32bit var
+                    //acca = L_add(dummy,in_val_high);
+		    acca = dummy + in_val_high;
+                    out_val_low = extract_l(L_shr_nocheck(acca,1));
                     
                     dummy = add(in_val_low,dither_ptr[i++]);
-                    acca = L_add(dummy,-in_val_high);
-                    out_val_high = extract_l(L_shr(acca,1));
+		    // blp: addition of two 16bits vars, there's no way
+		    //      they'll overflow a 32bit var
+                    //acca = L_add(dummy,-in_val_high);
+		    acca = dummy - in_val_high;
+                    out_val_high = extract_l(L_shr_nocheck(acca,1));
                     
                     *out_ptr_low++  = out_val_low;
@@ -285,4 +291,15 @@
         for ( k=0; k<CORE_SIZE; k++ )
         {
+#if PJ_HAS_INT64
+	    /* blp: danger danger! not really compatible but faster */
+	    pj_int64_t sum64=0;
+            move32();
+            
+            for ( i=0; i<CORE_SIZE; i++ )
+            {
+                sum64 += L_mult(pair_ptr[i], dct_core_s[i][k]);
+            }
+	    sum = L_saturate(sum64);
+#else
             sum=0L;
             move32();
@@ -292,4 +309,5 @@
                 sum = L_mac(sum, pair_ptr[i],dct_core_s[i][k]);
             }
+#endif
             buffer_swap[k] = itu_round(sum);
         }
@@ -324,7 +342,7 @@
         
         /*    set_span      = 1 << (DCT_LENGTH_LOG - set_count_log); */
-        set_span = shr(dct_length,set_count_log);
-        
-        set_count     = shl(1,set_count_log);
+        set_span = shr_nocheck(dct_length,set_count_log);
+        
+        set_count     = shl_nocheck(1,set_count_log);
         next_in_base  = in_buffer;
         move16();
@@ -355,5 +373,5 @@
             move16();
             
-            temp = shr(set_span,1);
+            temp = shr_nocheck(set_span,1);
             in_ptr_high    = in_ptr_low + temp;
             move16();
@@ -402,5 +420,5 @@
                 sum = L_mac(sum,cos_even,in_low_even);
                 sum = L_mac(sum,negate(msin_even),in_high_even);
-                out_low_even = itu_round(L_shl(sum,1));
+                out_low_even = itu_round(L_shl_nocheck(sum,1));
                 
                 sum = 0L;
@@ -408,5 +426,5 @@
                 sum = L_mac(sum,msin_even,in_low_even);
                 sum = L_mac(sum,cos_even,in_high_even);
-                out_high_even = itu_round(L_shl(sum,1));
+                out_high_even = itu_round(L_shl_nocheck(sum,1));
                 
                 sum = 0L;
@@ -414,5 +432,5 @@
                 sum = L_mac(sum,cos_odd,in_low_odd);
                 sum = L_mac(sum,msin_odd,in_high_odd);
-                out_low_odd = itu_round(L_shl(sum,1));
+                out_low_odd = itu_round(L_shl_nocheck(sum,1));
                 
                 sum = 0L;
@@ -420,5 +438,5 @@
                 sum = L_mac(sum,msin_odd,in_low_odd);
                 sum = L_mac(sum,negate(cos_odd),in_high_odd);
-                out_high_odd = itu_round(L_shl(sum,1));
+                out_high_odd = itu_round(L_shl_nocheck(sum,1));
                 
                 *out_ptr_low++  = out_low_even;
@@ -459,5 +477,8 @@
         for(i=0;i<320;i++) 
         {
-           sum = L_add(output[i],syn_bias_7khz[i]);
+	   // blp: addition of two 16bits vars, there's no way
+	   //      they'll overflow a 32bit var
+           //sum = L_add(output[i],syn_bias_7khz[i]);
+	   sum = output[i] + syn_bias_7khz[i];
            acca = L_sub(sum,32767);
            test();
@@ -467,5 +488,8 @@
                move32();
            }
-           acca = L_add(sum,32768L);
+	   // blp: addition of two 16bits vars, there's no way
+	   //      they'll overflow 32bit var
+           //acca = L_add(sum,32768L);
+	   acca = sum + 32768;
            test();
            if (acca < 0) 
Index: /pjproject/trunk/third_party/g7221/decode/decoder.c
===================================================================
--- /pjproject/trunk/third_party/g7221/decode/decoder.c	(revision 2615)
+++ /pjproject/trunk/third_party/g7221/decode/decoder.c	(revision 2616)
@@ -137,5 +137,5 @@
         {
         	get_next_bit(bitobj);
-        	categorization_control = shl(categorization_control,1);
+        	categorization_control = shl_nocheck(categorization_control,1);
         	categorization_control = add(categorization_control,bitobj->next_bit);
         }
@@ -247,5 +247,5 @@
     {
         get_next_bit(bitobj);
-        index = shl(index,1);
+        index = shl_nocheck(index,1);
         index = add(index,bitobj->next_bit);
     }
@@ -333,5 +333,5 @@
     {
         i = sub(i,1);
-        temp = shr(temp,1);
+        temp = shr_nocheck(temp,1);
         max_index = sub(max_index,2);
         temp1 = sub(temp,8);
@@ -531,5 +531,5 @@
                     if (bitobj->next_bit == 0)
 	                {
-                        temp = shl(index,1);
+                        temp = shl_nocheck(index,1);
                         index = (Word16)*(decoder_table_ptr + temp);
                         move16();
@@ -537,5 +537,5 @@
 	                else
 	                {
-                        temp = shl(index,1);
+                        temp = shl_nocheck(index,1);
                         index = (Word16)*(decoder_table_ptr + temp + 1);
                         move16();
@@ -568,10 +568,10 @@
                         {
 		                    get_next_bit(bitobj);
-       		                signs_index = shl(signs_index,1);
+       		                signs_index = shl_nocheck(signs_index,1);
 		                    signs_index = add(signs_index,bitobj->next_bit);
 		                    bitobj->number_of_bits_left = sub(bitobj->number_of_bits_left,1);
 	                    }
 	                    temp = sub(num_sign_bits,1);
-                        bit = shl(1,(temp));
+                        bit = shl_nocheck(1,(temp));
 	                }
 	                
@@ -579,5 +579,5 @@
                     {
 	                    acca = L_mult0(standard_deviation,mlt_quant_centroid[category][k[j]]);
-                        acca = L_shr(acca,12);
+                        acca = L_shr_nocheck(acca,12);
                         decoder_mlt_value = extract_l(acca);
 	                    
@@ -588,5 +588,5 @@
                             if ((signs_index & bit) == 0)
 		                        decoder_mlt_value = negate(decoder_mlt_value);
-		                    bit = shr(bit,1);
+		                    bit = shr_nocheck(bit,1);
 	                    }
                         *decoder_mlt_ptr++ = decoder_mlt_value;
@@ -653,5 +653,5 @@
 	                *decoder_mlt_ptr = temp1;
                     move16();
-	                random_word = shr(random_word,1);
+	                random_word = shr_nocheck(random_word,1);
 	            }
 	            /* pointer arithmetic */
@@ -678,5 +678,5 @@
 	                *decoder_mlt_ptr = temp1;
                     move16();
-	                random_word  = shr(random_word,1);
+	                random_word  = shr_nocheck(random_word,1);
 	            }
 	            /* pointer arithmetic */
@@ -711,5 +711,5 @@
                 *decoder_mlt_ptr++ = temp1;
                 move16();
-                random_word = shr(random_word,1);
+                random_word = shr_nocheck(random_word,1);
             }
             random_word = get_rand(randobj);
@@ -731,5 +731,5 @@
                 *decoder_mlt_ptr++ = temp1;
                 move16();
-                random_word = shr(random_word,1);
+                random_word = shr_nocheck(random_word,1);
             }
         }
@@ -1060,5 +1060,5 @@
     }
     bitobj->code_bit_count = sub(bitobj->code_bit_count,1);
-    temp = shr(bitobj->current_word,bitobj->code_bit_count);
+    temp = shr_nocheck(bitobj->current_word,bitobj->code_bit_count);
     logic16();
     bitobj->next_bit = (Word16 )(temp & 1);
Index: /pjproject/trunk/third_party/g7221/encode/dct4_a.c
===================================================================
--- /pjproject/trunk/third_party/g7221/encode/dct4_a.c	(revision 2615)
+++ /pjproject/trunk/third_party/g7221/encode/dct4_a.c	(revision 2616)
@@ -136,7 +136,7 @@
 
         /*    set_span      = 1 << (DCT_LENGTH_LOG - set_count_log); */
-        set_span = shr(dct_length,set_count_log);
-
-        set_count     = shl(1,set_count_log);
+        set_span = shr_nocheck(dct_length,set_count_log);
+
+        set_count     = shl_nocheck(1,set_count_log);
 
         in_ptr        = in_buffer;
@@ -169,10 +169,13 @@
                 in_val_low      = *in_ptr++;
                 in_val_high     = *in_ptr++;
-                acca            = L_add(in_val_low,in_val_high);
-                acca            = L_shr(acca,1);
+		// blp: addition of two 16bits vars, there's no way
+		//      they'll overflow a 32bit var
+                //acca            = L_add(in_val_low,in_val_high);
+		acca = (in_val_low + in_val_high);
+		acca            = L_shr_nocheck(acca,1);
                 out_val_low     = extract_l(acca);
 
                 acca            = L_sub(in_val_low,in_val_high);
-                acca            = L_shr(acca,1);
+                acca            = L_shr_nocheck(acca,1);
                 out_val_high    = extract_l(acca);
 
@@ -214,5 +217,5 @@
 
     temp = sub(dct_length_log,1);
-    temp = shl(1,temp);
+    temp = shl_nocheck(1,temp);
 
     for (pairs_left=temp; pairs_left > 0; pairs_left--)
@@ -220,4 +223,15 @@
         for ( k=0; k<CORE_SIZE; k++ )
         {
+#if PJ_HAS_INT64
+	    /* blp: danger danger! not really compatible but faster */
+	    pj_int64_t sum64=0;
+            move32();
+            
+            for ( i=0; i<CORE_SIZE; i++ )
+            {
+                sum64 += L_mult(pair_ptr[i], dct_core_a[i][k]);
+            }
+	    sum = L_saturate(sum64);
+#else
             sum=0L;
             move32();
@@ -226,4 +240,5 @@
                 sum = L_mac(sum, pair_ptr[i],dct_core_a[i][k]);
             }
+#endif
             buffer_swap[k] = itu_round(sum);
         }
@@ -251,7 +266,7 @@
         /*===========================================================*/
         /*    set_span      = 1 << (DCT_LENGTH_LOG - set_count_log); */
-        set_span = shr(dct_length,set_count_log);
-
-        set_count     = shl(1,set_count_log);
+        set_span = shr_nocheck(dct_length,set_count_log);
+
+        set_count     = shl_nocheck(1,set_count_log);
         next_in_base  = in_buffer;
         move16();
@@ -278,5 +293,5 @@
             in_ptr_low     = next_in_base;
             move16();
-            temp           = shr(set_span,1);
+            temp           = shr_nocheck(set_span,1);
 
             /* address arithmetic */
Index: /pjproject/trunk/third_party/g7221/encode/encoder.c
===================================================================
--- /pjproject/trunk/third_party/g7221/encode/encoder.c	(revision 2615)
+++ /pjproject/trunk/third_party/g7221/encode/encoder.c	(revision 2616)
@@ -141,5 +141,5 @@
        to be exactly 3.010299957 or 20.0 times log base 10
        of square root of 2. */
-    temp = shl(mag_shift,1);
+    temp = shl_nocheck(mag_shift,1);
     mag_shift_offset = add(temp,REGION_POWER_TABLE_NUM_NEGATIVES);
     
@@ -259,5 +259,5 @@
         if (j >= 0)
         {
-            temp = extract_l(L_shr(current_word,j));
+            temp = extract_l(L_shr_nocheck(current_word,j));
             out_word = add(out_word,temp);
 
@@ -291,10 +291,10 @@
     {
         accb = L_deposit_l(out_word_index);
-        accb = L_shl(accb,4);
+        accb = L_shl_nocheck(accb,4);
         accb = L_sub(accb,number_of_bits_per_frame);
         test();
         if(accb < 0)        
         {
-            temp = shl(region,2);
+            temp = shl_nocheck(region,2);
             in_word_ptr = &region_mlt_bits[temp];
             region_bit_count = region_mlt_bit_counts[region];
@@ -311,5 +311,5 @@
     
             acca = L_deposit_l(out_word_index);
-            acca = L_shl(acca,4);
+            acca = L_shl_nocheck(acca,4);
             acca = L_sub(acca,number_of_bits_per_frame);
             
@@ -382,9 +382,9 @@
                 }
                 acca = L_deposit_l(out_word_index);
-                acca = L_shl(acca,4);
+                acca = L_shl_nocheck(acca,4);
                 acca = L_sub(acca,number_of_bits_per_frame);
             }
             accb = L_deposit_l(out_word_index);
-            accb = L_shl(accb,4);
+            accb = L_shl_nocheck(accb,4);
             accb = L_sub(accb,number_of_bits_per_frame);
         }
@@ -415,5 +415,5 @@
         
         acca = L_deposit_l(out_word_index);
-        acca = L_shl(acca,4);
+        acca = L_shl_nocheck(acca,4);
         acca = L_sub(acca,number_of_bits_per_frame);
     }
@@ -462,5 +462,5 @@
     {
         n = sub(absolute_region_power_index[region],39);
-        n = shr(n,1);
+        n = shr_nocheck(n,1);
         
         test();
@@ -473,12 +473,12 @@
             for (i=0; i<REGION_SIZE; i++)
             {
-                acca = L_shl(*raw_mlt_ptr,16);
+                acca = L_shl_nocheck(*raw_mlt_ptr,16);
                 acca = L_add(acca,32768L);
-                acca = L_shr(acca,n);
-                acca = L_shr(acca,16);
+                acca = L_shr_nocheck(acca,n);
+                acca = L_shr_nocheck(acca,16);
                 *raw_mlt_ptr++ = extract_l(acca);
             }
 
-            temp = shl(n,1);
+            temp = shl_nocheck(n,1);
             temp = sub(absolute_region_power_index[region],temp);
             absolute_region_power_index[region] = temp;
@@ -568,5 +568,5 @@
         {
             test();
-            long_accumulator = L_shr(long_accumulator,1);
+            long_accumulator = L_shr_nocheck(long_accumulator,1);
             
             acca = (long_accumulator & 0x7fff0000L);
@@ -588,10 +588,10 @@
             logic16();
             
-            long_accumulator = L_shl(long_accumulator,1);
+            long_accumulator = L_shl_nocheck(long_accumulator,1);
             acca = L_sub(long_accumulator,32767);
             power_shift--;
             temp = add(power_shift,15);
         }
-        long_accumulator = L_shr(long_accumulator,1);
+        long_accumulator = L_shr_nocheck(long_accumulator,1);
         /* 28963 corresponds to square root of 2 times REGION_SIZE(20). */
         acca = L_sub(long_accumulator,28963);
@@ -602,5 +602,5 @@
         
         acca = L_deposit_l(mag_shift);
-        acca = L_shl(acca,1);
+        acca = L_shl_nocheck(acca,1);
         acca = L_sub(power_shift,acca);
         acca = L_add(35,acca);
@@ -786,5 +786,5 @@
 
     /* Start in the middle of the categorization control range. */
-    temp = shr(num_categorization_control_possibilities,1);
+    temp = shr_nocheck(num_categorization_control_possibilities,1);
     temp = sub(temp,1);
     for (*p_categorization_control = 0; *p_categorization_control < temp; (*p_categorization_control)++)
@@ -809,5 +809,5 @@
             region_mlt_bit_counts[region] =
             vector_huffman(category, absolute_region_power_index[region],raw_mlt_ptr,
-                           &region_mlt_bits[shl(region,2)]);
+                           &region_mlt_bits[shl_nocheck(region,2)]);
         }
         else
@@ -850,5 +850,5 @@
             region_mlt_bit_counts[region] =
                 vector_huffman(category, absolute_region_power_index[region],raw_mlt_ptr,
-                           &region_mlt_bits[shl(region,2)]);
+                           &region_mlt_bits[shl_nocheck(region,2)]);
         }
         else
@@ -896,5 +896,5 @@
             region_mlt_bit_counts[region] =
                 vector_huffman(category, absolute_region_power_index[region],raw_mlt_ptr,
-                           &region_mlt_bits[shl(region,2)]);
+                           &region_mlt_bits[shl_nocheck(region,2)]);
         }
         else
@@ -1003,7 +1003,7 @@
     /* compute inverse of step size * standard deviation */
     acca = L_mult(step_size_inverse_table[category],standard_deviation_inverse_table[power_index]);
-    acca = L_shr(acca,1);
+    acca = L_shr_nocheck(acca,1);
     acca = L_add(acca,4096);
-    acca = L_shr(acca,13);
+    acca = L_shr_nocheck(acca,13);
 
 	/*
@@ -1012,5 +1012,5 @@
      
 	mytemp = acca & 0x3;
-    acca = L_shr(acca,2);
+    acca = L_shr_nocheck(acca,2);
 
     inv_of_step_size_times_std_dev = extract_l(acca);
@@ -1033,5 +1033,5 @@
             
             acca = L_mult(k,inv_of_step_size_times_std_dev);
-            acca = L_shr(acca,1);
+            acca = L_shr_nocheck(acca,1);
 		    
 			/*
@@ -1040,7 +1040,7 @@
 
 			myacca = (Word16)L_mult(k,mytemp);
-			myacca = (Word16)L_shr(myacca,1);
+			myacca = (Word16)L_shr_nocheck(myacca,1);
 			myacca = (Word16)L_add(myacca,int_dead_zone_low_bits[category]);
-			myacca = (Word16)L_shr(myacca,2);
+			myacca = (Word16)L_shr_nocheck(myacca,2);
 
             acca = L_add(acca,int_dead_zone[category]);
@@ -1051,5 +1051,5 @@
 
 			acca = L_add(acca,myacca);
-			acca = L_shr(acca,13);
+			acca = L_shr_nocheck(acca,13);
 
             k = extract_l(acca);
@@ -1059,5 +1059,5 @@
             {
                 number_of_non_zero = add(number_of_non_zero,1);
-                signs_index = shl(signs_index,1);
+                signs_index = shl_nocheck(signs_index,1);
                 
                 test();
@@ -1075,5 +1075,5 @@
                 }
             }
-            acca = L_shr(L_mult(index,(kmax_plus_one)),1);
+            acca = L_shr_nocheck(L_mult(index,(kmax_plus_one)),1);
             index = extract_l(acca);
             index = add(index,k);
@@ -1105,5 +1105,5 @@
         {
             j = negate(j);
-            acca = L_shr(code_bits,j);
+            acca = L_shr_nocheck(code_bits,j);
             current_word = L_add(current_word,acca);
             
Index: /pjproject/trunk/third_party/g7221/encode/sam2coef.c
===================================================================
--- /pjproject/trunk/third_party/g7221/encode/sam2coef.c	(revision 2615)
+++ /pjproject/trunk/third_party/g7221/encode/sam2coef.c	(revision 2616)
@@ -85,5 +85,5 @@
     Word16	temp5;
    
-    half_dct_size = shr(dct_length,1);
+    half_dct_size = shr_nocheck(dct_length,1);
    
     /*++++++++++++++++++++++++++++++++++++++++++++*/
@@ -209,5 +209,5 @@
         }
         accb = L_mult(temp,9587);
-        acca = L_shr(accb,20);
+        acca = L_shr_nocheck(accb,20);
         temp5 = extract_l(acca);
         temp = norm_s(temp5);
@@ -231,5 +231,5 @@
     }
     
-    acca = L_shr(acca,7);
+    acca = L_shr_nocheck(acca,7);
     
     test();
@@ -244,5 +244,5 @@
         for(index=0;index<dct_length;index++)
         {
-            windowed_data[index] = shl(windowed_data[index],mag_shift);
+            windowed_data[index] = shl_nocheck(windowed_data[index],mag_shift);
         }
     }
@@ -255,5 +255,5 @@
             for(index=0;index<dct_length;index++)
             {
-                windowed_data[index] = shr(windowed_data[index],n);
+                windowed_data[index] = shr_nocheck(windowed_data[index],n);
                 move16();
             }
